<template>
  <div class="counter">
    <h2>Vuex</h2>
    <p>{{ count }}</p>
    <md-button class="md-raised" @click="$root.increment">+</md-button>
    <md-button class="md-raised" @click="$root.decrement">-</md-button>
  </div>
</template>

<script>
  export default {
    name: 'Counter',
    computed: {
      count () {
        return this.$store.state.count
      }
    }
  }
</script>

<style lang="scss" scoped>
@import "../../style/variables";

  .counter {
    position: sticky;
    top: 0;

    p {
      color: $primary-color;
    }
  }
</style>
